ru.bitel.bgbilling.kernel.network.radius

## Class RadiusAttribute<V>

- java.lang.Object
- - ru.bitel.bgbilling.kernel.network.tlv.Tlv<RadiusAttributeInfo<V>,V>
  - - ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute<V>

- Direct Known Subclasses:
    RadiusAttribute.RadiusAttributeAbinary, RadiusAttribute.RadiusAttributeInteger, RadiusAttribute.RadiusAttributeString

      public class RadiusAttribute<V>
      extends Tlv<RadiusAttributeInfo<V>,V>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RadiusAttribute.RadiusAttributeAbinary`
    `static class` | `RadiusAttribute.RadiusAttributeInteger`
    `static class` | `RadiusAttribute.RadiusAttributeIpAddr`
    `static class` | `RadiusAttribute.RadiusAttributeString`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `tag`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.network.tlv.Tlv

      `data, info, length, value`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `RadiusAttribute(int vendor, int type, java.nio.ByteBuffer data)`
    `` | `RadiusAttribute(int vendor, int type, int tag, java.nio.ByteBuffer data)`
    `` | `RadiusAttribute(int vendor, int type, int tag, V value)`
    `protected` | `RadiusAttribute(RadiusAttributeInfo<V> info, int tag, java.nio.ByteBuffer data)`
    `` | `RadiusAttribute(RadiusAttributeInfo<V> info, int tag, java.nio.ByteBuffer data, V value)`
    `protected` | `RadiusAttribute(RadiusAttributeInfo<V> info, int tag, V value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RadiusAttribute<V>` | `clone()`
    `boolean` | `equals(java.lang.Object o)`
    `int` | `getTag()`
    `java.lang.String` | `toString()`
    `java.lang.String` | `toString(boolean withName)`
    `void` | `write(java.nio.ByteBuffer bb)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.network.tlv.Tlv

      `getData, getDataAsByteArray, getLength, getValue`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### tag

          protected final int tag

  - ### Constructor Detail

    - #### RadiusAttribute

          public RadiusAttribute(RadiusAttributeInfo<V> info,
                                 int tag,
                                 java.nio.ByteBuffer data,
                                 V value)

    - #### RadiusAttribute

          protected RadiusAttribute(RadiusAttributeInfo<V> info,
                                    int tag,
                                    java.nio.ByteBuffer data)

    - #### RadiusAttribute

          protected RadiusAttribute(RadiusAttributeInfo<V> info,
                                    int tag,
                                    V value)

    - #### RadiusAttribute

          public RadiusAttribute(int vendor,
                                 int type,
                                 int tag,
                                 java.nio.ByteBuffer data)

    - #### RadiusAttribute

          public RadiusAttribute(int vendor,
                                 int type,
                                 int tag,
                                 V value)

    - #### RadiusAttribute

          public RadiusAttribute(int vendor,
                                 int type,
                                 java.nio.ByteBuffer data)

  - ### Method Detail

    - #### getTag

          public int getTag()

    - #### clone

          public RadiusAttribute<V> clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString(boolean withName)

    - #### write

          public void write(java.nio.ByteBuffer bb)

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`